## mozjs52 52.2.1

=== debian/changelog ===
mozjs52 (52.2.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1705606)
  * Rename mozjs38 to mozjs52
  * debian/rules:
    - Make build tests fatal except on armhf
    - Build --without-system-icu since we don't have icu 58 yet
  * Drop repack scripts and use Files-Excluded in debian/copyright
  * Refresh patches
  * Drop obsolete patches:
    - fix-gcc6-segfault.patch
    - fix-tracelogger.patch
    - install-js-config-h.patch
    - manually-mmap-on-arm64-to-ensure-high-17-bits-are-clear.patch
    - shell-version.patch
  * Disable patches for non-Ubuntu archs that don't apply cleanly:
    - m68k-support.patch
    - Disable-js-JIT-on-x32.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - include-configure-script.patch
    - pre-generate-old-configure.patch
    - tests-skip-on-all-64-bit-archs.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 20 Jul 2017 22:31:56 -0400

mozjs38 (38.8.0~repack1-0ubuntu1) artful; urgency=medium

  * SECURITY UPDATE: Build from final Firefox 38 ESR tarball to fix
    numerous security vulnerabilities (LP: #1683103)
    - Use debian/repack* scripts to drop the extra files not shipped
      in the mozjs release tarballs.
    - CVE-2015-4513, CVE-2016-1930, CVE-2016-1952,
      CVE-2016-2805, CVE-2016-2807, CVE-2016-2808
  * Update package description
  * Use gnome-pkg-tools (for sponsorship by Debian GNOME)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Apr 2017 14:45:59 -0400

mozjs38 (38.2.1~rc0-0ubuntu6) zesty; urgency=medium

  * Add debian/patches/disable-strict-aliasing.patch (LP: #1682631):
    - Patch from Brian Vincent to enable ~50 build tests to pass by
      using -fno-strict-aliasing, might reduce GNOME Shell crashes
  * Add debian/patches/skip-icu-tests.patch:
    - Skip 3 tests that fail because we use a newer system ICU
  * debian/rules:
    - Enable build tests on all architectures except arm64, ppc64el, s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Apr 2017 13:07:59 -0400

mozjs38 (38.2.1~rc0-0ubuntu5) zesty; urgency=medium

  * Drop the libmozjs38-bin package, see Mozilla #1339931

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2017 17:55:56 -0500

mozjs38 (38.2.1~rc0-0ubuntu4) zesty; urgency=medium

  * Add back dh_strip rules but with --dbgsym-migration to fix very
    large binary packages in the last upload.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 18 Feb 2017 16:22:25 -0500

mozjs38 (38.2.1~rc0-0ubuntu3) zesty; urgency=medium

  * Really drop manual -dbg packages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2017 17:59:49 -0500

mozjs38 (38.2.1~rc0-0ubuntu2) zesty; urgency=medium

  * debian/control:
    - Build-Depend on libicu-dev, libreadline-dev and python-dev
  * debian/rules: Copy these build flags from Fedora:
    --with-system-icu
    --with-system-zlib
    --enable-readline
    --enable-xterm-updates
    --enable-shared-js
    --enable-gcgenerational
    --disable-optimize
    --enable-pie
  * debian/rules:
    - Also use --enable-tests but don't make tests fatal yet
    - Use --with-intl-api as recommended by gjs developer
  * Don't install .a file
  * Bump dh compat to 10 but disable autoreconf until it can be made to work
  * Drop manual -dbg packages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2017 17:32:04 -0500

mozjs38 (38.2.1~rc0-0ubuntu1) zesty; urgency=medium

  [ Rico Tzschichholz]
  * New upstream release (LP: #1662094)
  * Update version from mozjs24 to mozjs38
  * debian/control, debian/rules:
    - Build with autoconf2.13
  * Add patches:
    - copy-headers.patch:
      + Copy headers instead of symlinking
    - fix-gcc6-segfault.patch
      + Fix segfault when built with gcc6
    - fix-tracelogger.patch
      + Squashed version of several commits to fix the tracelogger
    - install-js-config-h.patch
    - pkg-config-version.patch:
      + Add major version to pkg-config filename
    - shell-version.patch:
      + Add major version to shell and js-config filenames
  * Drop patches:
    - aarch64-support.patch, applied in new version
    - fix-perl-5.22.patch, this perl script doesn't exist in new version

  [ Jeremy Bicha ]
  * Refresh patches
  * Disable patch that doesn't apply cleanly:
    - hppa-support.patch

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 06 Feb 2016 11:18:23 +0200

mozjs24 (24.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually mmap on arm64 to ensure high 17 bits are clear (Closes: #839050,
    thanks to Zheng Xu)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Jan 2017 01:42:14 +0000

mozjs24 (24.2.0-5) unstable; urgency=low

  * Revert fix for ARM64 crashes, causes even more problems (closes: #847542).

  [ John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> ]
  * Add support for m68k (closes: #847525).

  [ Adam Borowski <kilobyte@angband.pl> ]
  * Disable JS JIT on x32 to make SpiderMonkey build (closes: #777502).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Dec 2016 22:57:52 +0000

mozjs24 (24.2.0-4) unstable; urgency=low

  * Backport upstream fix for ARM64 crashes (closes: #839050).
  * Add Multi-Arch field to libmozjs-24-0 and its -dbg variant
    (closes: #760757).
  * Update homepage (closes: #844257).
  * Set SHELL for running configure.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Dec 2016 19:04:08 +0000

mozjs24 (24.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove not needed Build-Conflicts, that are now cousing uninstallability
    of the Build-Depends.  Closes: #813749
  * Add patch (taken from Ubuntu) to fix build with perl 5.22.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 Jul 2016 22:33:32 +0000

mozjs24 (24.2.0-3) unstable; urgency=low

  * Update Standards-Version to 3.9.6 .

  [ Pino Toscano <pino@debian.org> ]
  * Fix FTBFS on Hurd (closes: #756218).

  [ John David Anglin <dave.anglin@bell.net> ]
  * Fix FTBFS on HPPA (closes: #757067).


