## mozjs52 52.3.1

=== debian/changelog ===
mozjs52 (52.3.1-0ubuntu3) artful; urgency=medium

  * Sync packaging from Debian:
    - debian/copyright updates
    - Make tests fatal except on ppc64el
    - Build with enable-posix-nspr-emulation
    - Drop obsolete --enable-thumb2 armhf flag

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Aug 2017 14:42:14 -0400

mozjs52 (52.3.1-0ubuntu2) artful; urgency=medium

  * debian/rules: Build with -fno-schedule-insns on armhf, to fix runtime
    failures on armhf-on-arm64 (see
    https://bugzilla.mozilla.org/show_bug.cgi?id=1337263)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 30 Aug 2017 12:59:00 +0100

mozjs52 (52.3.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Dropped patches applied in new release:
    - Take-both-with-wrapped-and-unwrapped-enclosing-environments.patch
    - fix-no-symlink-install-manifest.patch
    - fix-symbols-visibility.patch
    - pkg-config-version.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - disable-mozglue.patch
    - remove-nspr-dependency.patch
  * Update pre-generate-old-configure.patch from ptomato branch
  * Have -dev package install js binary. See Mozilla #1339931

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Aug 2017 23:38:12 -0400

mozjs52 (52.2.1-1~git1) artful; urgency=medium

  * Upload from Debian new queue

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Aug 2017 11:55:25 -0400

mozjs52 (52.2.1-1) unstable; urgency=medium

  [ Rico Tzschichholz]
  * New upstream release (Closes: #860396) (LP: #1662094)
  * Update version from mozjs24 to mozjs38
  * debian/control, debian/rules:
    - Build with autoconf2.13
  * Add patches:
    - copy-headers.patch:
      + Copy headers instead of symlinking
    - install-js-config-h.patch
    - pkg-config-version.patch:
      + Add major version to pkg-config, shell and js-config filenames
  * Drop patches:
    - aarch64-support.patch, applied in new version
    - fix-perl-5.22.patch, this perl script doesn't exist in new version

  [ Jeremy Bicha ]
  * Switch maintainer to Debian GNOME team
  * debian/control:
    - Build-Depend on libicu-dev, libreadline-dev and python-dev
  * debian/rules: Copy these build flags from Fedora:
    --with-intl-api
    --with-system-icu
    --with-system-zlib
    --enable-readline
    --enable-xterm-updates
    --enable-shared-js
    --enable-gcgenerational
    --disable-optimize
    --enable-pie
  * debian/rules:
    - Build with --enable-tests but don't make tests fatal yet
    - Build --without-system-icu since we don't have icu 58 yet
  * Drop the libmozjs*-bin package, see Mozilla #1339931
  * Don't install .a file
  * Bump dh compat to 10 but disable autoreconf
  * Migrate to automatic -dbgsym packages
  * Drop debian/README.source because it only listed removed files
    Use Files-Excluded in debian/copyright instead
  * Update debian/copyright based on debian/copyright for Firefox
  * Refresh patches
  * Drop obsolete patches:
    - install-js-config-h.patch
    - manually-mmap-on-arm64-to-ensure-high-17-bits-are-clear.patch
  * Disable patches that don't apply cleanly:
    - hppa-support.patch
    - m68k-support.patch
    - Disable-js-JIT-on-x32.patch
  * Add patches from https://github.com/ptomato/mozjs :
    - tests-skip-on-all-64-bit-archs.patch
    - fix-no-symlink-install-manifest.patch
    - Take-both-with-wrapped-and-unwrapped-enclosing-environments.patch

  [ Jordi Mallach ]
  * Remove override to dh_strip as the package is new and there's no
    need to migrate from -dbg.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Apr 2017 13:07:59 -0400
