=== debian/control ===
--- 
+++ 
@@ -7,20 +7,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: 
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                autoconf2.13,
                libicu-dev,
-               libffi-dev,
-               libnspr4-dev (>= 2:4.9.2),
                libreadline-dev,
                zlib1g-dev (>= 1:1.2.3),
                pkg-config,
                pkg-kde-tools,
                python-dev,
                zip
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/mozjs52.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/mozjs52.git
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
@@ -38,8 +36,6 @@
 Architecture: any
 Section: libdevel
 Depends: libmozjs-52-0 (= ${binary:Version}),
-         libffi-dev,
-         libnspr4-dev (>= 2:4.9.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: SpiderMonkey JavaScript library - development headers
