=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,15 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-VENDOR ?= $(shell dpkg-vendor --query vendor)
-
 SRCDIR = $(CURDIR)/js/src
 
-ifeq ($(VENDOR), Debian)
 ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
         CONFIGURE_FLAGS += --disable-methodjit
 endif
-endif
 
-ifeq ($(VENDOR), Ubuntu)
-ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
-        CONFIGURE_FLAGS += --enable-thumb2
-endif
+ifneq (,$(findstring $(DEB_BUILD_ARCH),armhf))
+        export DEB_CFLAGS_MAINT_APPEND = -fno-schedule-insns
+        export DEB_CXXFLAGS_MAINT_APPEND = -fno-schedule-insns
 endif
 
 %:
@@ -47,13 +42,11 @@
 		--prefix=/usr \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
 		--without-system-icu \
-		--with-system-nspr \
+		--enable-posix-nspr-emulation \
 		--with-system-zlib \
 		--enable-tests \
 		--disable-strip \
-		--enable-ctypes \
 		--enable-threadsafe \
-		--enable-system-ffi \
 		--with-intl-api \
 		--enable-readline \
 		--enable-xterm-updates \
@@ -71,7 +64,6 @@
 		ln -s libmozjs-52.so.0.0.0 libmozjs-52.so.0 && \
 		ln -s libmozjs-52.so.0 libmozjs-52.so
 	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libmozjs-52.a
-	rm debian/tmp/usr/bin/js52
 	dh_install --fail-missing
 
 override_dh_fixperms:
@@ -81,14 +73,10 @@
 override_dh_gnome:
 	dh_gnome --no-gnome-versions
 
-override_dh_strip:
-	dh_strip -p libmozjs-52-0 --dbgsym-migration=libmozjs-52-0-dbg
-	dh_strip
-
 # Don't fail the build on arches where the tests are known to fail
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(filter $(DEB_HOST_ARCH),armhf))
+ifeq (,$(filter $(DEB_HOST_ARCH),kfreebsd-i386 kfreebsd-amd64 ppc64el))
 	make -C $(SRCDIR) -k check-jstests
 else
 	make -C $(SRCDIR) -k check-jstests || true
