## mozjs52 52.8.1

=== debian/changelog ===
mozjs52 (52.8.1-0ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Multiple memory safety issues
    - CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
      CVE-2018-5150

  * Update to 52.8.1esr
  * Drop patches that are fixed upstream
    - remove debian/patches/remove-nspr-dependency.patch
    - remove debian/patches/tests-skip-on-all-64-bit-archs.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/include-configure-script.patch - the
      configure script is included in the tarball now. This patch should
      probably be renamed to something more appropriate
    - update debian/patches/pre-generate-old-configure.patch - a pre-generated
      old-configure script is included in the tarball now, although the one
      generated by js/src/make-source-package.sh includes the wrong aclocal.m4
      and doesn't work, so regenerate it again with the correct aclocal.m4

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Jun 2018 23:09:20 +0100
