## mozjs52 52.9.1

=== debian/changelog ===
mozjs52 (52.9.1-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple memory safety issues
    - CVE-2018-5188

  * Update to 52.9.1esr
  * Run dh_autoreconf
    - add debian/autogen.sh
    - update debian/rules
    - remove debian/patches/pre-generate-old-configure.patch
    - update debian/patches/series
  * Drop obsolete configure flags
    - update debian/rules
    - remove debian/patches/include-configure-script.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 21 Aug 2018 18:41:30 +0100

mozjs52 (52.8.1-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple memory safety issues
    - CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
      CVE-2018-5150

  * Update to 52.8.1esr
  * Drop patches that are fixed upstream
    - remove debian/patches/remove-nspr-dependency.patch
    - remove debian/patches/tests-skip-on-all-64-bit-archs.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/include-configure-script.patch - the
      configure script is included in the tarball now. This patch should
      probably be renamed to something more appropriate
    - update debian/patches/pre-generate-old-configure.patch - a pre-generated
      old-configure script is included in the tarball now, although the one
      generated by js/src/make-source-package.sh includes the wrong aclocal.m4
      and doesn't work, so regenerate it again with the correct aclocal.m4
  * Move pre-generate-old-configure.patch to after
    Allow-to-override-ICU_DATA_FILE-from-the-environment.patch and drop
    Patch-pregenerated-old-configure-to-match-build-autoconf-.patch
    - update debian/patches/series
    - remove debian/patches/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch
    - update debian/patches/pre-generate-old-configure.patch to refresh old-configure
  * Don't build-depend on libicu-dev - the bundled ICU is used and the
    distro ICU package ships the layout engine API since 60.2, which
    causes intl/icu_sources_data.py to fail due to source files excluded from
    the Mozilla source

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 Jun 2018 18:00:08 +0100

mozjs52 (52.3.1-7fakesync1) bionic; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 09:29:25 +0200

mozjs52 (52.3.1-7) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add tests-snans-be.patch:
    - Fix sort_snans.js test on big endian (Closes: #878285)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 13:12:58 -0400

mozjs52 (52.3.1-6) unstable; urgency=medium

  [ Adrian Bunk ]
  * Disable ion JIT on mips (Closes: #878519, #878284)
  * Rename Fix-crashes-in-AtomicOperations-none-on-s390x.patch to
    Fix-crashes-in-AtomicOperations-none.patch and modify it to
    always use AtomicOperations-sparc.h instead of AtomicOperations-none.h
  * Add tests-increase-timeout.patch:
    - Set timeout to 600 seconds instead of 300 for slower buildds
  * Stop ignoring test failures on mips

  [ Jeremy Bicha ]
  * Much thanks to Adrian Bunk for all of his help in fixing mozjs
    build problems!

  [ Simon McVittie ]
  * Explicitly select gcc/g++ even if clang is installed, overriding ICU's
    configure.ac (Closes: #878669)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 09:03:39 -0400

mozjs52 (52.3.1-5) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Regenerate patches
  * Export SHELL and PYTHON for all stages of the build process
    (Closes: #876354)
  * d/p/Allow-to-override-ICU_DATA_FILE-from-the-environment.patch:
    Add patch from firefox-esr to allow ICU_DATA_FILE to be forced in
    the environment. We need to use a big-endian version on BE
    architectures.
  * d/p/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch:
    Apply the equivalent of that patch to the pregenerated old-configure
    script
  * d/p/Add-intl-icu_sources_data.py-from-firefox-esr.patch:
    Add patch importing intl/icu_sources_data.py from firefox-esr_52.4.0esr-2
    so we can regenerate the ICU_DATA_FILE
  * d/rules: Regenerate the ICU_DATA_FILE (with the correct endianness)
    so the interpreter doesn't fail to initialize on big-endian
    architectures (Closes: #873778)
  * d/p/icu_sources_data.py-Decouple-from-Mozilla-build-system.patch:
    Avoid needing the mozpack module to generate the ICU_DATA_FILE
  * d/p/Fix-crashes-in-AtomicOperations-none-on-s390x.patch:
    Add patch from firefox-esr to fix atomic operations crashes on s390x
  * d/p/icu_sources_data-Write-command-output-to-our-stderr.patch:
    Make sure output from icu_sources_data.py ends up in buildd logs
  * d/p/tests-For-tests-that-are-skipped-on-64-bit-mips64-is-also.patch:
    Count mips64 as a 64-bit architecture for the purposes of skipping
    tests
  * d/rules: Run a "hello, world" program before running the test suite.
    If mozjs fails to initialize on a platform, the diagnostics given
    are fairly useless; try something much simpler before we go to the
    effort of running the full test suite. Failure to run this program
    causes FTBFS, to make sure we won't ship completely useless builds.
  * d/test.sh: Wrap build-time tests, making test-suite failures
    non-fatal on architectures with known issues (downgrades severity
    of: #877428, #878284, #878285, #878286)
  * d/rules: Skip build-time tests if cross-compiling
  * d/rules: Run icu build with VERBOSE=1 to see compilation commands

  [ Jeremy Bicha ]
  * Add Don-t-include-xlocale.patch: Fix build with glibc >= 2.26

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Oct 2017 00:24:00 +0100

mozjs52 (52.3.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Ubuntu-specific --enable-thumb2 rule

  [ Iain Lane ]
  * Fix --build= to --target=, as the former doesn't exist.

  [ Adrian Bunk ]

