=== debian/watch ===
version=4
# As of September 2017, there is not an official release of SpiderMonkey 52
# This tarball was downloaded from
# https://treeherder.mozilla.org/#/jobs?repo=mozilla-esr52&filter-searchStr=sm-tc
https://archive.mozilla.org/pub/spidermonkey/releases/(52\.[\d.]+)/ \
	mozjs-@ANY_VERSION@@ARCHIVE_EXT@
